diff options
| author | Samson <samson_gh@onepatchdown.net> | 2024-03-01 06:54:43 -0800 |
|---|---|---|
| committer | GitHub <noreply@github.com> | 2024-03-01 14:54:43 +0000 |
| commit | 515f78fa4c0b9fc95e3204ff53c332780a092bc2 (patch) | |
| tree | 747b1dee233d6e9627cdc8cb591bce57e71d79ad /install.sh | |
| parent | chore(deps): update flake.lock (#1801) (diff) | |
| download | atuin-515f78fa4c0b9fc95e3204ff53c332780a092bc2.zip | |
feat: Guard against ancient versions of bash where this does not work. (#1794)
Diffstat (limited to 'install.sh')
| -rwxr-xr-x | install.sh | 5 |
1 files changed, 5 insertions, 0 deletions
@@ -1,5 +1,10 @@ #! /usr/bin/env bash +if [[ "${BASH_VERSION%%.*}" -eq 3 ]]; then + echo "Atuin has limited support for Bash 3.2. The Atuin config enter_accept cannot be turned off." >&2 + echo "To turn off enter_accept, please upgrade your version of bash (possibly via homebrew or ports)" >&2 +fi + set -euo pipefail cat << EOF |
